### Type parameters

- #### T1

- #### T2

- #### T3

- #### R

### Hierarchy

- CurriedFunction3

### Callable

- __call(): CurriedFunction3<T1, T2, T3, R>
- __call(t1: T1): CurriedFunction2<T2, T3, R>
- __call(t1: __, t2: T2): CurriedFunction2<T1, T3, R>
- __call(t1: T1, t2: T2): CurriedFunction1<T3, R>
- __call(t1: __, t2: __, t3: T3): CurriedFunction2<T1, T2, R>
- __call(t1: T1, t2: __, t3: T3): CurriedFunction1<T2, R>
- __call(t1: __, t2: T2, t3: T3): CurriedFunction1<T1, R>
- __call(t1: T1, t2: T2, t3: T3): R

- - Defined in node_modules/@types/lodash/common/function.d.ts:278

  #### Returns CurriedFunction3<T1, T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:279

  #### Parameters

  - ##### t1: T1

  #### Returns CurriedFunction2<T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:280

  #### Parameters

  - ##### t1: __

  - ##### t2: T2

  #### Returns CurriedFunction2<T1, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:281

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  #### Returns CurriedFunction1<T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:282

  #### Parameters

  - ##### t1: __

  - ##### t2: __

  - ##### t3: T3

  #### Returns CurriedFunction2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:283

  #### Parameters

  - ##### t1: T1

  - ##### t2: __

  - ##### t3: T3

  #### Returns CurriedFunction1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:284

  #### Parameters

  - ##### t1: __

  - ##### t2: T2

  - ##### t3: T3

  #### Returns CurriedFunction1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:285

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: T3

  #### Returns R

Generated using TypeDoc